/* =================================================
   Layout
================================================= */

.wrapper img {
  max-width: 100%;
  width: 100%;
}

.wrapper section {
  padding: 0;
}

.wrapper .inner {
  max-width: 960px;
  width: 100%;
  margin: 0 auto;
}

.br_sp {
  display: none;
}

#General-inquiries,
#Users-inquiries {
  margin-top: 135px;
}

/* =================================================
   Mazrica Form Base
================================================= */
#contact-form {
  color: #474747;
  font-weight: 600;
  padding: 60px 4% !important;
}

#contact-form a {
  display: inline-block;
}

#contact-form p {
  font-size: 16px;
}

#contact-form label {
  font-size: 17px;
}

#contact-form label span {
  font-size: 14px;
}
#contact-form h2 {
  font-size: 28px;
  font-weight: 600;
  line-height: 1.6;
  margin-bottom: 20px;
  padding: 0;
}
#contact-form h4 {
  font-size: 20px;
  text-align: left;
  border-bottom: 4px solid #eee;
  margin-bottom: 0;
  background-color: #f7f7f7;
  padding: 10px;
}
#contact-form .contact-intro {
  color: #fff;
  font-size: 18px;
  font-weight: 600;
  text-align: center;
  background-color: #002e86;
  padding: 8px 4px;
  margin: 0;
}
#contact-form .contact-intro a {
  color: #fff;
  font-size: 18px;
  font-weight: 600;
  display: inline-block;
  text-decoration: underline;
}
/* 必須ラベル */
#contact-form label:not([for]) > span {
  font-size: 0.7em;
  font-weight: bold;
  color: #fff;
  background: #c71432;
  padding: 2px 10px;
}

/* プライバシーポリシー */
#contact-form .termsField a {
  text-decoration: underline;
  color: #138ab7;
}


/* =================================================
   Form Layout
================================================= */

#contact-form [data-id="parts_Webform_div"] {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

[data-id="WebformPage_styles_div"] {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

#contact-form
.multipleSelectionField
> div[data-id="MultipleSelection_raw_div"]:has([data-index]) {
  display: flex;
  flex-direction: column;
  gap: 12px;
}


/* Grid対応（現在未使用） */

/*
#contact-form [data-id="parts_Webform_div"]{
  display:grid;
  grid-template-columns:30% calc(70% - 2rem);
  column-gap:2rem;
  align-items:center;
  position: relative;
  padding-bottom: 50px;
}
*/

#contact-form label {
  grid-column: 1;
}

#contact-form input,
#contact-form select,
#contact-form textarea,
#contact-form [data-id="DateInput_index_Container"] {
  grid-column: 2;
}
#contact-form .multipleSelectionField > div[data-id="MultipleSelection_raw_div"]:has([data-index]) {
  flex-direction: row;
  gap: 10px 30px;
  flex-wrap: wrap;
}

/* =================================================
   Error
================================================= */

#contact-form .multipleSelectionField > div:nth-child(3),
[data-id="parts_ErrorMessage_div"] {
  color: #c71432;
}

.ErrorBox {
  text-align: center;
  font-size: 15px;
  color: #fff;
  background-color: #c71432;
  padding: 15px 10px;
}


/* =================================================
   Senses Webform Base
================================================= */

div[id^="senses-webform"] {
  --sw-input-border-color: black;
  --sw-input-focus-border-color: rgba(0, 174, 72, 0.75);
  --sw-button-color: #2975a6;
  --sw-button-text-color: #fff;

  width: 100%;
  max-width: 100%;
  font-size: 100%;
}


/* =================================================
   Form Reset
================================================= */

div[id^="senses-webform"] *,
div[id^="senses-webform"] *::after,
div[id^="senses-webform"] *::before {
  box-sizing: border-box;
}

div[id^="senses-webform"] input[type="text"],
div[id^="senses-webform"] button,
div[id^="senses-webform"] select,
div[id^="senses-webform"] textarea {
  appearance: none;
  background: transparent;
  border: none;
  border-radius: 0;
  font: inherit;
  outline: none;
}

div[id^="senses-webform"] textarea {
  color: #474747;
  font-size: 15px;
  line-height: 1.5;
  height: 16vh;
  padding: 10px;
  resize: vertical;
}


/* =================================================
   Form Parts
================================================= */

div[id^="senses-webform"] input[type="text"],
div[id^="senses-webform"] select,
div[id^="senses-webform"] textarea {
  width: 100%;
  padding: .5em;
  border: 1px solid var(--sw-input-border-color);
  border-radius: 4px;
  transition: all 0.5s;
}

div[id^="senses-webform"] input[type="text"]:focus,
div[id^="senses-webform"] select:focus,
div[id^="senses-webform"] textarea:focus {
  box-shadow: 0px 0px 20px -10px var(--sw-input-focus-border-color);
}


/* label */

div[id^="senses-webform"] label:not([for]) {
  font-size: 16px;
  display: inline-flex;
  align-items: baseline;
  gap: 15px;
}

/* select */

div[id^="senses-webform"] select {
  padding-right: 32px;
  background-image:
    linear-gradient(45deg, transparent 50%, gray 50%),
    linear-gradient(135deg, gray 50%, transparent 50%),
    linear-gradient(to right, #ccc, #ccc);

  background-position:
    calc(100% - 17px) 1em,
    calc(100% - 12px) 1em,
    calc(100% - 32px) 0;

  background-size: 5px 5px, 5px 5px, 1px 100%;
  background-repeat: no-repeat;
}

div[id^="senses-webform"] select::-ms-expand {
  display: none;
}


/* checkbox / radio */

div[id^="senses-webform"] input[type="checkbox"],
div[id^="senses-webform"] input[type="radio"] {
  transform: scale(1.5);
  margin-right: 10px !important;
}


/* 注釈 */

div[id^="senses-webform"] .textField input + p,
div[id^="senses-webform"] .singleSelectionField input + p,
div[id^="senses-webform"] .termField input + p {
  font-size: .8em;
  padding: 0;
  margin: 0;
}

div[id^="senses-webform"] .termField {
  font-size: .95em;
}

/* CookiePolicy */
div[data-id="CookiePolicy_index_div"] {
  display: flex;
  flex-direction: column;
  gap: 5px;
}
div[data-id="CookiePolicy_index_div"] p {
  font-size: 15px !important;
  font-weight: 500;
  margin: 0;
}

/* =================================================
   Button
================================================= */

div[id^="senses-webform"] button {
  margin: .75em 0;
  width: 100%;
  box-sizing: border-box;
  font-size: 1.25em;
  padding: .75em 0;
  border-radius: 999999px;
  text-decoration: none;
  text-align: center;
  word-break: break-all;
  color: #fff;
  background: #009090;
  border: 2px solid #009090;
  transition: color, background .3s;
  cursor: pointer;
}

div[id^="senses-webform"] button:hover {
  opacity: 0.9;
}


/* =================================================
   Datepicker
================================================= */

.react-datepicker button {
  background-color: unset !important;
  border: unset !important;
  width: 10px !important;
  margin: 5px 0 !important;
}

.react-datepicker__navigation-icon::before {
  border-color: #016291 !important;
}


/* =================================================
   thanks
================================================= */

.thanks span {
  font-size: 0.9em;
  display: inline-block;
  line-height: 1.4;
}


/* =================================================
   Responsive
================================================= */

@media screen and (max-width: 1080px) {
  .wrapper .inner {
    max-width: 96%;
  }
}

@media screen and (max-width: 980px) {
  .wrapper .inner {
    max-width: 94%;
  }
}

@media screen and (max-width: 960px) {
  #General-inquiries,
  #Users-inquiries {
    margin-top: 20px;
  }
}

@media screen and (max-width: 768px) {}

@media screen and (max-width: 640px) {
  [data-id="WebformPage_styles_div"] h1 {
    font-size: 20px;
  }
}

@media screen and (max-width: 480px) {}